CalryOTA Docs
Listing

Mark multiple listings as active

Activates multiple listings by their IDs. Listings must belong to the workspace.

POST
/api/v1/listing/mark-active

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/listing/mark-active" \  -H "Content-Type: application/json" \  -d '{    "listingIDs": [      "123e4567-e89b-12d3-a456-426614174000",      "223e4567-e89b-12d3-a456-426614174000"    ]  }'
{
  "updated": [
    "string"
  ],
  "errors": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}